Loading...
Searching...
No Matches
bdev_specs Struct Reference

Specifications for how to create a new backing store. More...

`#include <lxccontainer.h>`

## Data Fields

char * | fstype
uint64_t | fssize
struct { |
char * zfsroot |
} | zfs |
struct { |
char * vg |
char * lv |
char * thinpool |
} | lvm |
char * | dir
struct { |
char * rbdname |
char * rbdpool |
} | rbd |

## Detailed Description

Specifications for how to create a new backing store.

## Field Documentation

## dir

char* bdev_specs::dir

Directory path

## fssize

uint64_t bdev_specs::fssize

Filesystem size in bytes

## fstype

char* bdev_specs::fstype

Filesystem type

## lv

char* bdev_specs::lv

LVM Logical Volume name

## rbdname

char* bdev_specs::rbdname

RBD image name

## rbdpool

char* bdev_specs::rbdpool

Ceph pool name

## thinpool

char* bdev_specs::thinpool

LVM thin pool to use, if any

## vg

char* bdev_specs::vg

LVM Volume Group name

## zfsroot

char* bdev_specs::zfsroot

ZFS root path

The documentation for this struct was generated from the following file:

- lxccontainer.h